commit f4def864a27c41025bbed0d086fa4628921fec28
Author: Jakub Jelinek <jakub@redhat.com>
Date:   Fri May 30 14:35:12 2025

    testsuite: Add testcase for GCC 13 branch s390 bug [PR120480]
    
    This got broken with r13-9727 and fixed with either of
    r13-9729 or r13-9728.
    
    2025-05-30  Jakub Jelinek  <jakub@redhat.com>
    
            PR target/120480
            * gcc.dg/pr120480.c: New test.
    
    (cherry picked from commit c13d5b939fee565047394475952878dc5394fb74)

diff --git a/gcc/testsuite/gcc.dg/pr120480.c b/gcc/testsuite/gcc.dg/pr120480.c
new file mode 100644
index 00000000000..cf7b47a1151
--- /dev/null
+++ b/gcc/testsuite/gcc.dg/pr120480.c
@@ -0,0 +1,11 @@
+/* PR target/120480 */
+/* { dg-do compile } */
+/* { dg-options "-O0" } */
+
+struct S { int a, b, c; } s;
+
+void
+foo (void)
+{
+  struct S t = s;
+}

